#ifndef DDbConfigurationData_H
#define DDbConfigurationData_H

#include <Command.h>

#include "DDbComChannel.h"
namespace ProtoGenWrapper
{
	class DDbConfigurationData
	{
	public:
		DDbConfigurationData(DDbComChannel dDbcomChannel, std::string description, std::string descriptionID,
		                     std::string longName, std::string longNameID, std::string shortName,
		                     std::string uniqueObjectIdentifier, int32 objectType);
		void GetValues(DDbComChannel& dDbcomChannel, std::string& description, std::string& descriptionID,
		               std::string& longName, std::string& longNameID, std::string& shortName,
		               std::string& uniqueObjectIdentifier, int32& objectType);
		DDbConfigurationData();
		DDbComChannel GetDDbComChannel() const;
		void SetDDbComChannel(const DDbComChannel& dDDbComChannel);
		void Description(const std::string& description);
		std::string Description() const;
		void DescriptionID(const std::string& descriptionID);
		std::string DescriptionID() const;
		void LongName(const std::string& longName);
		std::string LongName() const;
		void LongNameID(const std::string& longNameID);
		std::string LongNameID() const;
		void ShortName(const std::string& shortName);
		std::string ShortName() const;
		void UniqueObjectIdentifier(const std::string& uniqueObjectIdentifier);
		std::string UniqueObjectIdentifier() const;
		void ObjectType(const int32 objectType);
		int32 ObjectType() const;

		friend bool operator==(const DDbConfigurationData& lhs, const DDbConfigurationData& rhs);
		friend bool operator!=(const DDbConfigurationData& lhs, const DDbConfigurationData& rhs);
	protected:
		DDbComChannel _dDbComChannel;
		std::string _description;
		std::string _descriptionID;
		std::string _longName;
		std::string _longNameID;
		std::string _shortName;
		std::string _uniqueObjectIdentifier;
		int32 _objectType;
	};
}
#endif // DDbConfigurationData_H
